require('sprites')

function newActor(spriteFile,x,y)
	local t = {}
	function t:load()
		self.sprite = {}
		self.sprite = newSprite(spriteFile)
		self.x = x
		self.y = y
		self.direction = "Down"
		self.speed = 150
	end

	function t:update(dt)
		self.sprite:update(dt)
	end

	function t:draw()
		self.sprite:draw(self.direction,self.x,self.y)
	end

	function t:manual_move(dt)
		if love.keyboard.isDown("up") then
			self.y = self.y - self.speed * dt
			self.direction = "Up"
		elseif love.keyboard.isDown("down") then
			self.y = self.y + self.speed * dt
			self.direction = "Down"
		elseif love.keyboard.isDown("left") then
			self.x = self.x - self.speed * dt
			self.direction = "Left"
		elseif love.keyboard.isDown("right") then
			self.x = self.x + self.speed * dt
			self.direction = "Right"
		end
	end

	function t:auto_move(player_x, player_y)
		-- Implement your own logic, my dear!
	end
	return t
end